Get Payment
curl --request GET \
--url https://api.paygentic.io/v0/payments/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.paygentic.io/v0/payments/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paygentic.io/v0/payments/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"object": "payment",
"amount": "<string>",
"currency": "<string>",
"status": "pending",
"createdAt": "2023-11-07T05:31:56Z",
"paymentUrl": "<string>",
"customerId": "<string>",
"idempotencyKey": "<string>",
"reference": "<string>",
"metadata": {},
"lineItems": [
{
"description": "<string>",
"amount": "<string>",
"quantity": 123
}
],
"expiresAt": "2023-11-07T05:31:56Z"
}{
"message": "The requested resource was not found",
"error": "not_found"
}{
"message": "The requested resource was not found",
"error": "not_found"
}{
"message": "The requested resource was not found",
"error": "not_found"
}{
"message": "The requested resource was not found",
"error": "not_found"
}Payments
Get Payment
Retrieve a single payment by ID.
GET
/
v0
/
payments
/
{id}
Get Payment
Authorizations
API key authentication
Path Parameters
Payment session ID
Response
Payment details
Unique payment identifier (pay_* prefixed).
Available options:
payment Payment amount in decimal format (e.g. '10.50').
ISO 4217 currency code (e.g. 'USD').
Current status of the payment.
Available options:
pending, processing, completed, expired, cancelled When the payment was created.
URL for the customer to complete the payment.
Customer ID if provided.
Client-provided idempotency key.
Merchant-defined reference for this payment.
Merchant-provided key-value metadata.
Show child attributes
Show child attributes
Breakdown of what the customer is being charged for.
Show child attributes
Show child attributes
When the payment expires.
Was this page helpful?